const animation = mquick.requireModule('animation');
const keyframes = {
  'card-rotate': {
    "transform": [{
      "p": 0,
      "v": "rotateY(0deg)"
    },
    {
      "p": 0.5,
      "v": "rotateY(180deg)"
    },
    {
      "p": 1.0,
      "v": "rotateY(360deg)"
    }]
  },
  // "perspective-gradient": {
  //   perspective: [
  //     {
  //       p: 0,
  //       v: "0px",
  //     },
  //     {
  //       p: 0.3,
  //       v: "300px",
  //     },
  //     {
  //       p: 0.6,
  //       v: "600px",
  //     },
  //     {
  //       p: 1.0,
  //       v: "1000px",
  //     },
  //   ],
  // },
  'cube-rotate': {
    "transform": [{
      "p": 0,
      "v": " rotateX(0deg) rotateY(0deg) translateZ(-100px)"
    },
    {
      "p": 1.0,
      "v": " rotateX(360deg) rotateY(360deg) translateZ(-100px)"
    }]
  },
  'book': {
    "transform": [{
      "p": 0,
      "v": "rotateX(60deg) rotateY(0deg)"
    },
    {
      "p": 0.5,
      "v": "rotateX(60deg) rotateY(-180deg)"
    },
    {
      "p": 1.0,
      "v": "rotateX(60deg) rotateY(0deg)"
    }]
  },
  'carousel': {
    "transform": [{
      "p": 0,
      "v": "translateZ(-288px) rotateY(0deg)"
    },
    {
      "p": 0.11,
      "v": "translateZ(-288px) rotateY(-40deg)"
    },
    {
      "p": 0.22,
      "v": "translateZ(-288px) rotateY(-80deg)"
    },
    {
      "p": 0.33,
      "v": "translateZ(-288px) rotateY(-120deg)"
    },
    {
      "p": 0.44,
      "v": "translateZ(-288px) rotateY(-160deg)"
    },
    {
      "p": 0.55,
      "v": "translateZ(-288px) rotateY(-200deg)"
    },
    {
      "p": 0.66,
      "v": "translateZ(-288px) rotateY(-240deg)"
    },
    {
      "p": 0.78,
      "v": "translateZ(-288px) rotateY(-280deg)"
    },
    {
      "p": 0.89,
      "v": "translateZ(-288px) rotateY(-320deg)"
    },
    {
      "p": 1,
      "v": "translateZ(-288px) rotateY(-360deg)"
    }]
  }
}
animation.loadKeyframes(keyframes);
export default keyframes;
